petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscPartitionerGetType

Gets the PetscPartitioner type name (as a string) from the object.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerGetType(PetscPartitioner part, PetscPartitionerType *name)

Not Collective

### Input Parameter

part -The PetscPartitioner

### Output Parameter

name -The PetscPartitioner type name

### See Also

PetscPartitionerSetType(), PetscPartitionerCreate()

### Level

intermediate

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages